Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.contact
Class DistributionListFilter

    java.lang.Object
      |
      +--com.compoze.ebusiness.AbstractFilter
            |
            +--com.compoze.contact.DistributionListFilter

All Implemented Interfaces:
  java.io.Serializable

public class DistributionListFilter
extends AbstractFilter
implements java.io.Serializable

This class represents a distribution list filter. A distribution list filter is used to restrict the lists that are returned as they are iterated over in a `DistributionLists` collection. By setting properties in this filter, the lists that are returned include only those lists with properties that are the same. The string are case-insensitive.

See the `DistributionLists` class for futher details and examples on how to filter lists.

See Also:
  `DistributionLists.setFilter(DistributionListFilter)`, Serialized Form

Fields inherited from class com.compoze.ebusiness.AbstractFilter
`m_rules, m_where`

Constructor Summary
`DistributionListFilter()` Constructor.

Method Summary
`void` | `setContactCount(int iCount, boolean bGreaterThan)` Sets filtering by contact count.
`void` | `setContactCount(int iFromCount, int iToCount)` Sets filtering by contact count between the specified range.
`void` | `setCustomNum1(long lCustomNum1)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long[] customNum1s)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lCustomNum1, boolean bGreaterThan)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lFromCount, long lToCount)` Sets filtering by custom num1 between the specified range.
`void` | `setCustomNum2(long lCustomNum2)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long[] customNum2s)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lCustomNum2, boolean bGreaterThan)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lFromCount, long lToCount)` Sets filtering by custom num2 between the specified range.
`void` | `setCustomNum3(long lCustomNum3)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long[] customNum3s)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lCustomNum3, boolean bGreaterThan)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lFromCount, long lToCount)` Sets filtering by custom num3 between the specified range.
`void` | `setCustomNum4(long lCustomNum4)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long[] customNum4s)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long lCustomNum4, boolean bGreaterThan)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long lFromCount, long lToCount)` Sets filtering by custom num4 between the specified range.
`void` | `setCustomStr1(java.lang.String sCustomStr1)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String sCustomStr1, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr2(java.lang.String sCustomStr2)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String sCustomStr2, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr3(java.lang.String sCustomStr3)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String sCustomStr3, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr4(java.lang.String sCustomStr4)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String sCustomStr4, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setDateCreated(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a date created range.
`void` | `setDateLastModified(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a date last modified range.
`void` | `setDescription(java.lang.String sDescription)` Sets filtering by description.
`void` | `setDescription(java.lang.String[] descriptions)` Sets filtering by description.
`void` | `setDescription(java.lang.String[] descriptions, boolean bExactMatch)` Sets filtering by description.
`void` | `setDescription(java.lang.String sDescription, boolean bExactMatch)` Sets filtering by description.
`void` | `setDistributionListCount(int iCount, boolean bGreaterThan)` Sets filtering by distribution list count.
`void` | `setDistributionListCount(int iFromCount, int iToCount)` Sets filtering by distribution list count between the specified range.
`void` | `setName(java.lang.String sName)` Sets filtering by name.
`void` | `setName(java.lang.String[] names)` Sets filtering by name.
`void` | `setName(java.lang.String[] names, boolean bExactMatch)` Sets filtering by name.
`void` | `setName(java.lang.String sName, boolean bExactMatch)` Sets filtering by name.
`void` | `setStringRules(java.lang.String[] values, boolean bExact)` Sets the rules for list properties that are strings.
`void` | `unsetContactCount()` Unsets filtering by contact count.
`void` | `unsetCustomNum1()` Unsets filtering by custom num1.
`void` | `unsetCustomNum2()` Unsets filtering by custom num2.
`void` | `unsetCustomNum3()` Unsets filtering by custom num3.
`void` | `unsetCustomNum4()` Unsets filtering by custom num4.
`void` | `unsetCustomStr1()` Unsets filterting by custom str1.
`void` | `unsetCustomStr2()` Unsets filterting by custom str2.
`void` | `unsetCustomStr3()` Unsets filterting by custom str3.
`void` | `unsetCustomStr4()` Unsets filterting by custom str4.
`void` | `unsetDateCreated()` Unsets filtering by date created.
`void` | `unsetDateLastModified()` Unsets filtering by date last modified.
`void` | `unsetDescription()` Unsets filterting by description.
`void` | `unsetDistributionListCount()` Unsets filtering by distribution list count.
`void` | `unsetName()` Unsets filterting by name.

Methods inherited from class com.compoze.ebusiness.AbstractFilter
`clearWhereClause, getBaseRule, getFilterRule, getOr, getWhereClause, isEmpty, setBeginsRule, setGreaterThanRule, setLessThanRule, setNotRule, setOr, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setWhereClause, toRule, toString, unsetBeginsRule, unsetNotRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributionListFilter

    public DistributionListFilter()

  Constructor.

Method Detail

### setName

    public void setName(java.lang.String sName)

  Sets filtering by name. Checks the name match as a substring of the name.
  Parameters:
    `sName` - the name
  See Also:
    `setName(String, boolean)`

### setName

    public void setName(java.lang.String sName,
                        boolean bExactMatch)

  Sets filtering by name.
  Parameters:
    `sName` - the name
    `bExactMatch` - `true` for an exact match of the string name; `false` to match as substring name

### setName

    public void setName(java.lang.String[] names)

  Sets filtering by name. Checks the name match as a substring of the name.
  Parameters:
    `names` - the names
  See Also:
    `setName(String[], boolean)`

### setName

    public void setName(java.lang.String[] names,
                        boolean bExactMatch)

  Sets filtering by name.
  Parameters:
    `names` - the names
    `exact` - `true` for an exact match of the names; `false` to match a substring

### unsetName

    public void unsetName()

  Unsets filterting by name.

### setDescription

    public void setDescription(java.lang.String sDescription)

  Sets filtering by description. Checks the description match as a substring of the description.
  Parameters:
    `sDescription` - the description
  See Also:
    `setDescription(String, boolean)`

### setDescription

    public void setDescription(java.lang.String sDescription,
                               boolean bExactMatch)

  Sets filtering by description.
  Parameters:
    `sDescription` - the description
    `bExactMatch` - `true` for an exact match of the string description; `false` to match as substring description

### setDescription

    public void setDescription(java.lang.String[] descriptions)

  Sets filtering by description. Checks the description match as a substring of the description.
  Parameters:
    `descriptions` - the descriptions
  See Also:
    `setDescription(String[], boolean)`

### setDescription

    public void setDescription(java.lang.String[] descriptions,
                               boolean bExactMatch)

  Sets filtering by description.
  Parameters:
    `descriptions` - the descriptions
    `exact` - `true` for an exact match of the descriptions; `false` to match a substring

### unsetDescription

    public void unsetDescription()

  Unsets filterting by description.

### setContactCount

    public void setContactCount(int iCount,
                                boolean bGreaterThan)

  Sets filtering by contact count.
  Parameters:
    `iCount` - the contact count
    `bGreaterThan` - `true` for contact count greater than specified count; `false` for contact count less than specified count
  See Also:
    `setContactCount(int,int)`

### setContactCount

    public void setContactCount(int iFromCount,
                                int iToCount)

  Sets filtering by contact count between the specified range. The `iFromCount` must be less than the `iToCount`.
  Parameters:
    `iFromCount` - the contact count low range
    `iToCount` - the contact count high range

### unsetContactCount

    public void unsetContactCount()

  Unsets filtering by contact count.

### setDistributionListCount

    public void setDistributionListCount(int iCount,
                                         boolean bGreaterThan)

  Sets filtering by distribution list count.
  Parameters:
    `iCount` - the distribution list count
    `bGreaterThan` - `true` for distribution list count greater than specified count; `false` for distribution list count less than specified count
  See Also:
    `setDistributionListCount(int,int)`

### setDistributionListCount

    public void setDistributionListCount(int iFromCount,
                                         int iToCount)

  Sets filtering by distribution list count between the specified range. The `iFromCount` must be less than the `iToCount`.
  Parameters:
    `iFromCount` - the distribution list count low range
    `iToCount` - the distribution list count high range

### unsetDistributionListCount

    public void unsetDistributionListCount()

  Unsets filtering by distribution list count.

### setDateCreated

    public void setDateCreated(java.util.Date startDate,
                               java.util.Date endDate)

  Sets filtering by a date created range.
  Parameters:
    `startDate` - the date created start range
    `endDate` - the date created end range

### unsetDateCreated

    public void unsetDateCreated()

  Unsets filtering by date created.

### setDateLastModified

    public void setDateLastModified(java.util.Date startDate,
                                    java.util.Date endDate)

  Sets filtering by a date last modified range.
  Parameters:
    `startDate` - the date last modified start range
    `endDate` - the date last modified end range

### unsetDateLastModified

    public void unsetDateLastModified()

  Unsets filtering by date last modified.

### setCustomNum1

    public void setCustomNum1(long[] customNum1s)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1,
                              boolean bGreaterThan)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1
    `bGreaterThan` - `true` for custom num1 greater than specified number; `false` for custom num1 less than specified number

### setCustomNum1

    public void setCustomNum1(long lFromCount,
                              long lToCount)

  Sets filtering by custom num1 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum1

    public void unsetCustomNum1()

  Unsets filtering by custom num1.

### setCustomNum2

    public void setCustomNum2(long[] customNum2s)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2,
                              boolean bGreaterThan)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2
    `bGreaterThan` - `true` for custom num2 greater than specified number; `false` for custom num2 less than specified number

### setCustomNum2

    public void setCustomNum2(long lFromCount,
                              long lToCount)

  Sets filtering by custom num2 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num2 low range
    `lToCount` - the custom num2 high range

### unsetCustomNum2

    public void unsetCustomNum2()

  Unsets filtering by custom num2.

### setCustomNum3

    public void setCustomNum3(long[] customNum3s)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3,
                              boolean bGreaterThan)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3
    `bGreaterThan` - `true` for custom num3 greater than specified number; `false` for custom num3 less than specified number

### setCustomNum3

    public void setCustomNum3(long lFromCount,
                              long lToCount)

  Sets filtering by custom num3 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum3

    public void unsetCustomNum3()

  Unsets filtering by custom num3.

### setCustomNum4

    public void setCustomNum4(long[] customNum4s)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4

### setCustomNum4

    public void setCustomNum4(long lCustomNum4)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4

### setCustomNum4

    public void setCustomNum4(long lCustomNum4,
                              boolean bGreaterThan)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4
    `bGreaterThan` - `true` for custom num4 greater than specified number; `false` for custom num4 less than specified number

### setCustomNum4

    public void setCustomNum4(long lFromCount,
                              long lToCount)

  Sets filtering by custom num4 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum4

    public void unsetCustomNum4()

  Unsets filtering by custom num4.

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `sCustomStr1` - the Custom String1
  See Also:
    `setCustomStr1(String, boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `sCustomStr1` - the custom str1
    `bExactMatch` - `true` for an exact match of the string custom str1; `false` to match as substring custom str1

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `customString1s` - the custom string1s
  See Also:
    `setCustomStr1(String[], boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `customString1s` - the custom string1s
    `exact` - `true` for an exact match of the custom string1s; `false` to match a substring

### unsetCustomStr1

    public void unsetCustomStr1()

  Unsets filterting by custom str1.

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `sCustomStr2` - the Custom String2
  See Also:
    `setCustomStr2(String, boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `sCustomStr2` - the custom str2
    `bExactMatch` - `true` for an exact match of the string custom str2; `false` to match as substring custom str2

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `customString2s` - the custom string2s
  See Also:
    `setCustomStr2(String[], boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `customString2s` - the custom string2s
    `exact` - `true` for an exact match of the custom string2s; `false` to match a substring

### unsetCustomStr2

    public void unsetCustomStr2()

  Unsets filterting by custom str2.

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `sCustomStr3` - the Custom String3
  See Also:
    `setCustomStr3(String, boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `sCustomStr3` - the custom str3
    `bExactMatch` - `true` for an exact match of the string custom str3; `false` to match as substring custom str3

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `customString3s` - the custom string3s
  See Also:
    `setCustomStr3(String[], boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `customString3s` - the custom string3s
    `exact` - `true` for an exact match of the custom string3s; `false` to match a substring

### unsetCustomStr3

    public void unsetCustomStr3()

  Unsets filterting by custom str3.

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `sCustomStr4` - the Custom String4
  See Also:
    `setCustomStr4(String, boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `sCustomStr4` - the custom str4
    `bExactMatch` - `true` for an exact match of the string custom str4; `false` to match as substring custom str4

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `customString4s` - the custom string4s
  See Also:
    `setCustomStr4(String[], boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `customString4s` - the custom string4s
    `exact` - `true` for an exact match of the custom string4s; `false` to match a substring

### unsetCustomStr4

    public void unsetCustomStr4()

  Unsets filterting by custom str4.

### setStringRules

    public void setStringRules(java.lang.String[] values,
                               boolean bExact)

  Sets the rules for list properties that are strings. this method provides a convenient way to search the list properties for string values without having to call each rule method.
  Parameters:
    `values` - the values to test
    `bExact` - `true` for an exact match of the values; `false` to match a substring

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.